#89 Knowledge v1.13.1のHerokuデプロイ時のエラー

  セットアップ  [Public]
icon written by kaz at Jul 24, 2018 9:26 PM ( icon updated by kaz at Jul 24, 2018 9:36 PM <History> )
  Edit(Sign in)
  Stock
  Answer survey   Answer survey

  TOC

お世話になっています。

Knowledgeを利用させて頂きたいと思い。
Deploy to HerokuにてKnowledge v1.13.1を構築しようとしたのですが、下記エラーでデプロイ自体ができません。
何か足りないことがあればご教示頂きたいです。


There was an issue building your app. This can mean your app.json's project is not a valid Heroku application. Please ensure your app is deployable to Heroku and try again.

       [ERROR] bower bootstrap-datepicker#1.5.1          invalid-meta for:/tmp/0e90cba67f71f926ceaa6e26725ea53c/bower/5302a8e90732aef5f2e93a0af3490637-297-et2S2t/bower.json
       [ERROR] bower bootstrap-datepicker#1.5.1          invalid-meta The "main" field cannot contain minified files
       [INFO] bower bootstrap-tagsinput#0.4.2               resolved https://github.com/TimSchlechter/bootstrap-tagsinput.git#0.4.2
       [INFO] bower marked#0.3.4                            resolved https://github.com/chjj/marked.git#0.3.4
       [INFO] bower cropper#2.3.4                           resolved https://github.com/fengyuanchen/cropper.git#2.3.4
       [INFO] bower animate.css#3.5.2                       resolved https://github.com/daneden/animate.css.git#3.5.2
       [INFO] bower teambox.free-file-icons#*               resolved https://github.com/teambox/Free-file-icons.git#57327865fa
       [INFO] bower MathJax#2.6.1                            extract archive.tar.gz
       [INFO] bower jquery#2.2.3                            resolved https://github.com/jquery/jquery-dist.git#2.2.3
       [INFO] bower bootstrap-datepicker#1.5.1              resolved https://github.com/eternicode/bootstrap-datepicker.git#1.5.1
       [ERROR] bower flag-icon-css#0.8.5                 invalid-meta for:/tmp/0e90cba67f71f926ceaa6e26725ea53c/bower/5331a3da54369947ccc822d93c8cba1d-297-ieH7li/bower.json
       [ERROR] bower flag-icon-css#0.8.5                 invalid-meta The "main" field cannot contain minified files
       [INFO] bower jspdf#1.3.2                             resolved https://github.com/MrRio/jsPDF.git#1.3.2
       [INFO] bower bluebird#3.0.6                          resolved https://github.com/petkaantonov/bluebird.git#3.0.6
       [INFO] bower bootstrap#3.3.6                         resolved https://github.com/twbs/bootstrap.git#3.3.6
       [INFO] bower chart.js#2.6.0                          resolved https://github.com/chartjs/Chart.js.git#2.6.0
       [INFO] bower font-awesome#4.7.0                      resolved https://github.com/FortAwesome/Font-Awesome.git#4.7.0
       [INFO] bower vue#2.4.2                               resolved https://github.com/vuejs/vue.git#2.4.2
       [INFO] bower moment#2.12.0                           resolved https://github.com/moment/moment.git#2.12.0
       [INFO] bower moment-timezone#0.5.11                  resolved https://github.com/moment/moment-timezone.git#0.5.11
       [INFO] bower bootstrap-table#1.11.1                  resolved https://github.com/wenzhixin/bootstrap-table.git#1.11.1
       [INFO] bower flag-icon-css#0.8.5                     resolved https://github.com/lipis/flag-icon-css.git#0.8.5
       [INFO] bower bootswatch#3.3.6                        resolved https://github.com/thomaspark/bootswatch.git#3.3.6
       [ERROR] bower emoji-parser#0.1.1                       ECMDERR Failed to execute "git ls-remote --tags --heads https://github.com/frissdiegurke/emoji-parser-bower.git", exit code of #128 remote: Invalid username or password. fatal: Authentication failed for 'https://github.com/frissdiegurke/emoji-parser-bower.git/'
       [ERROR] 
       [ERROR] Additional error details:
       [ERROR] remote: Invalid username or password.
       [ERROR] fatal: Authentication failed for 'https://github.com/frissdiegurke/emoji-parser-bower.git/'
       [ERROR] 
       [ERROR] npm ERR! Linux 4.4.0-1019-aws
       [ERROR] npm ERR! argv "/tmp/build_a44c0a7dc5d867a914d7fea4347e9bec/node/node" "/tmp/build_a44c0a7dc5d867a914d7fea4347e9bec/node/node_modules/npm/bin/npm-cli.js" "start"
       [ERROR] npm ERR! node v6.9.2
       [ERROR] npm ERR! npm  v3.10.9
       [ERROR] npm ERR! code ELIFECYCLE
       [ERROR] npm ERR! knowledge@1.0.0 start: `node node_modules/bower/bin/bower install --allow-root`
       [ERROR] npm ERR! Exit status 1
       [ERROR] npm ERR! 
       [ERROR] npm ERR! Failed at the knowledge@1.0.0 start script 'node node_modules/bower/bin/bower install --allow-root'.
       [ERROR] npm ERR! Make sure you have the latest version of node.js and npm installed.
       [ERROR] npm ERR! If you do, this is most likely a problem with the knowledge package,
       [ERROR] npm ERR! not with npm itself.
       [ERROR] npm ERR! Tell the author that this fails on your system:
       [ERROR] npm ERR!     node node_modules/bower/bin/bower install --allow-root
       [ERROR] npm ERR! You can get information on how to open an issue for this project with:
       [ERROR] npm ERR!     npm bugs knowledge
       [ERROR] npm ERR! Or if that isn't available, you can get their info via:
       [ERROR] npm ERR!     npm owner ls knowledge
       [ERROR] npm ERR! There is likely additional logging output above.
       [ERROR] 
       [ERROR] npm ERR! Please include the following file with any support request:
       [ERROR] npm ERR!     /tmp/build_a44c0a7dc5d867a914d7fea4347e9bec/npm-debug.log
       [INFO] ------------------------------------------------------------------------
       [INFO] BUILD FAILURE
       [INFO] ------------------------------------------------------------------------
       [INFO] Total time: 01:38 min
       [INFO] Finished at: 2018-07-24T12:10:48+00:00
       [INFO] Final Memory: 27M/269M
       [INFO] ------------------------------------------------------------------------
       [ERROR] Failed to execute goal com.github.eirslett:frontend-maven-plugin:1.3:npm (bower install) on project knowledge: Failed to run task: 'npm start' failed. (error code 1) -> [Help 1]
       [ERROR] 
       [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
       [ERROR] Re-run Maven using the -X switch to enable full debug logging.
       [ERROR] 
       [ERROR] For more information about the errors and possible solutions, please read the following articles:
       [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException
 !     ERROR: Failed to build app with Maven
       We're sorry this build is failing! If you can't find the issue in application code,
       please submit a ticket so we can help: https://help.heroku.com/
 !     Push rejected, failed to compile Java app.
 !     Push failed

 Attach Files     - [0]


 Comment
[Registration] Jul 25, 2018 9:33 AM [shngmsw]
icon

私が同じエラーについて[解決済み]emoji-parser-bowerリポジトリがnot foundでビルドエラー - Knowledgeに書いています。

bowerのライブラリ管理から、emoji-parser がなくなってしまったのが原因です。

上記についてはv1.12.0 v1ブランチで対応いただいてます。

Herokuにデプロイしようとしているファイルに以下のコミット分が反映されているか確認されてみてはいかがでしょうか。
反映されてるならこのエラーが起きるはずはないのですが…
https://github.com/support-project/knowledge/commit/010c68d058b11c4da11439684326584d0eff1dc2#diff-600376dffeb79835ede4a0b285078036


 Like! × 0  
Collapsed
[Registration] Aug 11, 2018 2:54 AM [kaz]
icon

コミット分が反映されているか確認してDeploy to Herokuでデプロイをしましたが変わらず失敗してできませんでした:(
結局CLIからDeployをしたら上手くDeployできました。


 Like! × 0  
Collapsed
[Registration] Aug 11, 2018 8:56 AM [Koda]
icon

ご連絡ありがとうございます。
Deploy to Herokuの機能が動かなくなっているみたいですね。。。
解析している余裕が無いので、いったんDeploy to Herokuのリンクを解除しておこうと思います。
時間ができたときに、復活を検討しますね。

ちなみに このサイト はHerokuを利用しているのですが、私もCLIでデプロイする派なので、機能が動かなくなっていることに気づきませんでした。


 Like! × 0  
Collapsed



 Add Comment